(function (blocks, element) {
  var el = element.createElement;
  var registerBlockType = blocks.registerBlockType;

  registerBlockType("wp-custom-blocks/roof-quote-pro", {
    title: "Roof Quote Pro",
    icon: "admin-site",
    edit: function () {
      return el(
        "div",
        { className: "wp-roof-quote-pro-block" },
        "Roof Quote Pro"
      );
    },
    save: function () {
      var scriptElement = el("script", {
        src:
          "https://app.roofle.com/roof-quote-pro-embedded-widget.js?id=" +
          encodeURIComponent(widgetId),
        async: true,
      });
      return el("div", { className: "wp-roof-quote-pro-block" }, scriptElement);
    },
  });
})(window.wp.blocks, window.wp.element);
